Method: projects.showEffectiveKeyAccessJustificationsPolicyConfig

Full name: projects.showEffectiveKeyAccessJustificationsPolicyConfig

Returns the KeyAccessJustificationsPolicyConfig of the resource closest to the given project in hierarchy.

HTTP request


GET https://cloudkms.googleapis.com/v1/{project=projects/*}:showEffectiveKeyAccessJustificationsPolicyConfig

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Required. Specifies the number or id of the project to get the effective KeyAccessJustificationsPolicyConfig. In the format of "projects/{|}"

Request body

The request body must be empty.

Response body

Represents a response message for KeyAccessJustificationsConfig.ShowEffectiveKeyAccessJustificationsPolicyConfig.

If successful, the response body contains data with the following structure:

JSON representation
{
  "effectiveKajPolicy": {
    object (KeyAccessJustificationsPolicyConfig)
  }
}
Fields
effectiveKajPolicy

object (KeyAccessJustificationsPolicyConfig)

Contains the effective KeyAccessJustificationsPolicyConfig.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudkms
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.